#! /usr/bin/env python

import os
import sys
import re
import subprocess

def gitversion_magic():
  gitv = os.popen('git show --pretty=oneline', 'r')
  gitver = gitv.read().strip()
  gitv.close()
  return gitver[:10]

print_cflags = ""
release = ""

if len(sys.argv) > 1 and sys.argv[1] == 'CFLAGS':
  print_cflags = sys.argv.pop(1)

if len(sys.argv) > 1:
  release = sys.argv[1]

# XXX reintroduce tracking of upstream sgt subversion version?

if release == 'publish':
  gitver = gitversion_magic()
  cflag = "-DREVISION=palm-%s" % (gitver)
  ver = "%s..." % (gitver)
else:
  cflag = ""
  ver = "devel"

if print_cflags is not '':
  print cflag,
  sys.exit(0)

for l in sys.stdin:
  # for palm.rcp.in
  l = re.sub(r'^VERSION\s".+"$', 'VERSION "%s"' % (ver), l)
  # for index.html
  l = re.sub(r'CHANGE_ME_LATEST_VERSION', 'r%s' % (ver), l)
  print l,
sys.exit(0)

